Bug 904256 - cinepaint crashes on first run
cinepaint crashes on first run
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cinepaint (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
: 1035052 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 16:21 EST by Ville Skyttä
Modified: 2016-01-31 20:57 EST (History)
7 users (show)

See Also:
Fixed In Version: cinepaint-1.4-5.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 07:30:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-01-25 16:21:13 EST
$ rpm -q cinepaint
cinepaint-1.3-1.fc17.x86_64
$ rm -rf ~/.cinepaint
$ cinepaint
Locale found in /usr/share/locale

At this point, click "Install", then it crashes:

/home/scop/.cinepaint
**
Gtk:ERROR:gtktextbtree.c:1176:_gtk_text_btree_insert: assertion failed: (g_utf8_validate (&text[sol], chunk_len, NULL))
cinepaint terminated: sigabrt caught

(cinepaint:9985): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:9985): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:9985): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
Comment 1 Nicolas Chauvet (kwizart) 2013-01-26 10:49:13 EST
There is some locale issue with incomplete translation.
could you try with LANG=C; cinepaint

That been said, it's a bug for sure.
Comment 2 Ville Skyttä 2013-01-26 11:16:10 EST
Setting LANG=C, LC_ALL=C, and/or LANGUAGE=C makes no difference here, it always crashes for me on the first run.

By the way, the dialog box that is shown on first run has a scrollbar but won't scroll down so there's no way to read the entire text in it, but that's maybe a different issue.
Comment 3 D. Charles Pyle 2013-06-26 05:11:58 EDT
I am affected by the same and similar errors.

$ rpm -q cinepaint
cinepaint-1.3-9.fc19.x86_64

No changes to locale by changing settings or exporting works. It looks like one the main culprits may be oyranos, though (at least in my case).  Here is the stack trace I saw in Terminal this last time I ran it a few moments ago:

$ cinepaint
Locale found in /usr/share/locale

(cinepaint:20469): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().
WARNING: oyranos_alpha.c:7646 oyDeviceGetProfile() Unexpected object type: Zero - none(oyConfig_s)[-1] 

cms.c:462 cms_init_oyranos() monitor profile size: 0
(null) fatal error: sigsegv caught
cinepaint (pid:20469): [E]xit, [H]alt, show [S]tack trace or [P]roceed: s
#0  0x00000039010bbffc in waitpid () from /lib64/libc.so.6
#1  0x0000003814c1f5c3 in g_on_error_stack_trace ()
#2  0x0000003814c1f71a in g_on_error_query () from /lib64/libglib-2.0.so.0
#3  0x000000000043cc3d in fatal_error ()
#4  <signal handler called>
#5  0x000000000046c858 in message_box ()
#6  0x000000000042b0bd in cms_init_oyranos ()
#7  0x000000000042b337 in cms_init ()
#8  0x0000000000412667 in app_init ()
#9  0x000000000047c519 in init ()
#10 0x000000381500fc57 in _g_closure_invoke_va ()
#11 0x0000003815027d87 in g_signal_emit_valist ()
#12 0x0000003815028a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#13 0x0000003151e8e5a5 in gtk_real_button_released ()
#14 0x000000381500fa28 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#15 0x0000003815020247 in signal_emit_unlocked_R ()
#16 0x0000003815028829 in g_signal_emit_valist ()
#17 0x0000003815028a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#18 0x0000003151e8d283 in gtk_button_button_release ()
#19 0x0000003151f4164c in _gtk_marshal_BOOLEAN__BOXED ()
#20 0x000000381500fa28 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#21 0x00000038150207fb in signal_emit_unlocked_R ()
#22 0x0000003815028462 in g_signal_emit_valist ()
#23 0x0000003815028a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#24 0x00000031520693d4 in gtk_widget_event_internal ()
#25 0x0000003151f3f894 in gtk_propagate_event ()
#26 0x0000003151f3fc5b in gtk_main_do_event () from /lib64/libgtk-x11-2.0.so.0
#27 0x000000315265ea6c in gdk_event_dispatch () from /lib64/libgdk-x11-2.0.so.0
#28 0x0000003814c47e06 in g_main_context_dispatch ()
#29 0x0000003814c48158 in g_main_context_iterate.isra.22 ()
#30 0x0000003814c4855a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#31 0x0000003151f3ed17 in gtk_main () from /lib64/libgtk-x11-2.0.so.0
#32 0x000000000041061b in main ()
cinepaint (pid:20469): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:20469): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:20469): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:20469): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught
Comment 4 D. Charles Pyle 2013-06-26 05:23:26 EDT
Running cinepaint differently, as suggested in comment 1, gives the following:

$ LANG=C; cinepaint                   
Locale found in /usr/share/locale

(cinepaint:20816): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().
WARNING: oyranos_alpha.c:7646 oyDeviceGetProfile() Unexpected object type: Zero - none(oyConfig_s)[-1] 

cms.c:462 cms_init_oyranos() monitor profile size: 0
(null) fatal error: sigsegv caught
cinepaint (pid:20816): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0x00000039010bbffc in waitpid () from /lib64/libc.so.6
#1  0x0000003814c1f5c3 in g_on_error_stack_trace ()
#2  0x0000003814c1f71a in g_on_error_query () from /lib64/libglib-2.0.so.0
#3  0x000000000043cc3d in fatal_error ()
#4  <signal handler called>
#5  0x000000000046c858 in message_box ()
#6  0x000000000042b0bd in cms_init_oyranos ()
#7  0x000000000042b337 in cms_init ()
#8  0x0000000000412667 in app_init ()
#9  0x000000000047c519 in init ()
#10 0x000000000046a402 in install_verify ()
#11 0x0000000000410472 in main ()
cinepaint (pid:20816): [E]xit, [H]alt, show [S]tack trace or [P]roceed: 


The Stack Trace is shorter in this case but the crash on first run still occurs.
Comment 5 D. Charles Pyle 2013-06-26 05:49:08 EDT
Running cinepaint with different options gives the following:

$ LANG=C; cinepaint --no-splash
Locale found in /usr/share/locale
gtk_rc_parse: "/home/dcpyle/.cinepaint/gtkrc"
parsing "/home/dcpyle/.cinepaint/cinepaintrc"
WARNING: oyranos_alpha.c:7646 oyDeviceGetProfile() Unexpected object type: Zero - none(oyConfig_s)[-1] 

cms.c:462 cms_init_oyranos() monitor profile size: 0
(null) fatal error: sigsegv caught
cinepaint (pid:25143): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0x00000039010bbffc in waitpid () from /lib64/libc.so.6
#1  0x0000003814c1f5c3 in g_on_error_stack_trace ()
#2  0x0000003814c1f71a in g_on_error_query () from /lib64/libglib-2.0.so.0
#3  0x000000000043cc3d in fatal_error ()
#4  <signal handler called>
#5  0x000000000046c858 in message_box ()
#6  0x000000000042b0bd in cms_init_oyranos ()
#7  0x000000000042b337 in cms_init ()
#8  0x0000000000412667 in app_init ()
#9  0x000000000047c519 in init ()
#10 0x000000000046a402 in install_verify ()
#11 0x0000000000410472 in main ()
cinepaint (pid:25143): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:25143): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:25143): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:25143): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught

===================

Now running without setting locale gives the following:

$ cinepaint --no-splash
Locale found in /usr/share/locale
gtk_rc_parse: "/home/dcpyle/.cinepaint/gtkrc"
parsing "/home/dcpyle/.cinepaint/cinepaintrc"
WARNING: oyranos_alpha.c:7646 oyDeviceGetProfile() Unexpected object type: Zero - none(oyConfig_s)[-1] 

cms.c:462 cms_init_oyranos() monitor profile size: 0
(null) fatal error: sigsegv caught
cinepaint (pid:25172): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0x00000039010bbffc in waitpid () from /lib64/libc.so.6
#1  0x0000003814c1f5c3 in g_on_error_stack_trace ()
#2  0x0000003814c1f71a in g_on_error_query () from /lib64/libglib-2.0.so.0
#3  0x000000000043cc3d in fatal_error ()
#4  <signal handler called>
#5  0x000000000046c858 in message_box ()
#6  0x000000000042b0bd in cms_init_oyranos ()
#7  0x000000000042b337 in cms_init ()
#8  0x0000000000412667 in app_init ()
#9  0x000000000047c519 in init ()
#10 0x000000000046a402 in install_verify ()
#11 0x0000000000410472 in main ()
cinepaint (pid:25172): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:25172): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:25172): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:25172): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught

=================

In each case the error occurs when a zero byte ~/.cinepain/cinepaintrc file is parsed on first run.  None of the files expected to be there on first run are there.  I tried adding information to the cinepaintrc file but kept getting 'expected tokens' errors like the following:

parsing "/home/dcpyle/.cinepaint/cinepaintrc"
error parsing: "/home/dcpyle/.cinepaint/cinepaintrc"
  at line 70 column 44
  unexpected token: <Alt>x
WARNING: oyranos_alpha.c:7646 oyDeviceGetProfile() Unexpected object type: Zero - none(oyConfig_s)[-1] 

cms.c:462 cms_init_oyranos() monitor profile size: 0
(null) fatal error: sigsegv caught
Comment 6 D. Charles Pyle 2013-06-26 06:08:36 EDT
I just checked the output again once getting proper information in the file discussed in comment 5. With correctly formatted information, the file is parsed correctly but the error still occurs in oyranos when it attempts to get a device profile and fails.  Error is as follows in that instance:

$ cinepaint --no-splash
Locale found in /usr/share/locale
gtk_rc_parse: "/home/dcpyle/.cinepaint/gtkrc"
parsing "/home/dcpyle/.cinepaint/cinepaintrc"
WARNING: oyranos_alpha.c:7646 oyDeviceGetProfile() Unexpected object type: Zero - none(oyConfig_s)[-1] 

cms.c:462 cms_init_oyranos() monitor profile size: 0
(null) fatal error: sigsegv caught
cinepaint (pid:25206): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0x00000039010bbffc in waitpid () from /lib64/libc.so.6
#1  0x0000003814c1f5c3 in g_on_error_stack_trace ()
#2  0x0000003814c1f71a in g_on_error_query () from /lib64/libglib-2.0.so.0
#3  0x000000000043cc3d in fatal_error ()
#4  <signal handler called>
#5  0x000000000046c858 in message_box ()
#6  0x000000000042b0bd in cms_init_oyranos ()
#7  0x000000000042b337 in cms_init ()
#8  0x0000000000412667 in app_init ()
#9  0x000000000047c519 in init ()
#10 0x000000000046a402 in install_verify ()
#11 0x0000000000410472 in main ()
cinepaint (pid:25206): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:25206): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:25206): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:25206): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught

================

So, it would seem that something in oyranos is looking for a monitor profile, and on not finding it causes problems with loading of cinepaint on first run.  Of course, cinepaint will not run at all after this without throwing errors.
Comment 7 Fedora End Of Life 2013-07-04 02:12:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Luya Tshimbalanga 2013-07-04 22:53:14 EDT
Assign to f19 because the package failed to start on Design Suite live media as reported by an user.
Comment 9 Nicolas Chauvet (kwizart) 2013-07-12 03:42:36 EDT
(In reply to Luya Tshimbalanga from comment #8)
> Assign to f19 because the package failed to start on Design Suite live media
> as reported by an user.

Why is it in design suite if it doesn't work ? Please remove it.
I've orphaned this package and this should probably be removed from the fedora collection as I've no time to fix it.
Comment 10 Luya Tshimbalanga 2013-07-12 11:58:39 EDT
(In reply to Nicolas Chauvet (kwizart) from comment #9)
> (In reply to Luya Tshimbalanga from comment #8)
> > Assign to f19 because the package failed to start on Design Suite live media
> > as reported by an user.
> 
> Why is it in design suite if it doesn't work ? Please remove it.
> I've orphaned this package and this should probably be removed from the
> fedora collection as I've no time to fix it.

Too late for F19 but already removed for the next release.
Comment 11 D. Charles Pyle 2013-07-29 02:16:59 EDT
This is some really bizarre stuff.  I could not run the program using the menu item, in any DE.  It would not run in Terminal, either.  However, if I double-clicked the executable directly in /usr/bin the program loads and runs just fine.  Sounds like some kind of environment or other related issue but not sure where at the moment.

But, after double-clicking the executable in /usr/bin, the program will run.  From there, a workaround is to disable Oyranos in the preferences dialog after running.  If you don't disable Oyranos, the application goes back to crashing and the problem occurs again.

To disable Oyranos, double-click the cinepaint executable in /usr/bin and open Preferences from the File menu and select the Color Management tab.  Uncheck the Copy Oyranos Settings checkbox, click the Save button in the dialog and exit the program.

After that it starts fine either from the menu or from Terminal (minus a few gtk errors that do not seem to crash the program).
Comment 12 D. Charles Pyle 2013-07-29 02:23:00 EDT
I take it back.  The program loads fine at first, but if you try to create a new file the whole application crashes. Stack Trace follows:

(null) fatal error: sigsegv caught
cinepaint (pid:12851): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0x00000036d7ebc32c in waitpid () from /lib64/libc.so.6
#1  0x00000036db61f5c3 in g_on_error_stack_trace ()
#2  0x00000036db61f71a in g_on_error_query () from /lib64/libglib-2.0.so.0
#3  0x000000000043cc3d in fatal_error ()
#4  <signal handler called>
#5  0x000000000046c858 in message_box ()
#6  0x00000036db64ede1 in g_logv () from /lib64/libglib-2.0.so.0
#7  0x00000036db64eff2 in g_log () from /lib64/libglib-2.0.so.0
#8  0x0000000000449c7e in gdisplay_set_colormanaged ()
#9  0x0000000000449cfd in gdisplay_set_bpc ()
#10 0x000000000044a0f6 in gdisplay_new ()
#11 0x00000000004c2882 in file_new_ok_callback ()
#12 0x00000036dca0fc57 in _g_closure_invoke_va ()
#13 0x00000036dca27d87 in g_signal_emit_valist ()
#14 0x00000036dca28a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#15 0x0000003d4de8f645 in gtk_real_button_released ()
#16 0x00000036dca0fc57 in _g_closure_invoke_va ()
#17 0x00000036dca27d87 in g_signal_emit_valist ()
#18 0x00000036dca28a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#19 0x0000003d4de8e323 in gtk_button_button_release ()
#20 0x0000003d4df426ec in _gtk_marshal_BOOLEAN__BOXED ()
#21 0x00000036dca0fa28 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#22 0x00000036dca207fb in signal_emit_unlocked_R ()
#23 0x00000036dca28462 in g_signal_emit_valist ()
#24 0x00000036dca28a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#25 0x0000003d4e06a474 in gtk_widget_event_internal ()
#26 0x0000003d4df40934 in gtk_propagate_event ()
#27 0x0000003d4df40cfb in gtk_main_do_event () from /lib64/libgtk-x11-2.0.so.0
#28 0x0000003d4da5e2dc in gdk_event_dispatch () from /lib64/libgdk-x11-2.0.so.0
#29 0x00000036db647e06 in g_main_context_dispatch ()
#30 0x00000036db648158 in g_main_context_iterate.isra.22 ()
#31 0x00000036db64855a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#32 0x0000003d4df3fdb7 in gtk_main () from /lib64/libgtk-x11-2.0.so.0
#33 0x000000000041061b in main ()
Comment 13 Fedora Admin XMLRPC Client 2013-08-05 13:43:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Alberto Ferrante 2013-10-13 07:34:12 EDT
Same problem here... Will there be any fix?
Comment 15 Jaromír Cápík 2013-10-30 16:20:22 EDT
Hello guys.

I just tried to resurrect the cinepaint project in Fedora and it somehow started working. This afternoon I wrote a libpng patch and removed oyranos support as it is crashing. It would be nice if you could do a thorough testing and leave a feedback.

The upstream maintainer (Robin Rowe) dropped the previous version numbering and released 1.0-4 as the 1.3 successor to follow the RPM NVR, but I consider that inconvenient and therefore asked him to return to the former version numbering. I've got no response yet.

Thanks in advance for any comments.

Regards,
Jaromir.
Comment 16 Jaromír Cápík 2013-10-30 16:41:04 EDT
One note ... you need to specify the following Plug-ins folder in the File/Preferences/Folders

/usr/lib64/cinepaint/1.0-4/plug-ins

... use lib instead of lib64 on 32-bit archs

I'll try to investigate how to make it work without such tuning.
Comment 17 Jaromír Cápík 2013-10-30 16:42:54 EDT
The PNG patch doesn't work like expected ... needs more fixing.
Comment 18 Alberto Ferrante 2013-10-30 16:47:29 EDT
Hi,
great to hear that, but... Is there any modified package available somewhere?
Comment 19 Jaromír Cápík 2013-10-30 16:54:44 EDT
Hi Alberto.

As it is still a bit raw and needs more tuning, only rawhide packages have been built yet. What version of Fedora are you currently working on? I'll do a scratch build for you.

Thanks,
Jaromir.
Comment 20 Alberto Ferrante 2013-10-30 16:57:10 EDT
Hi!
OK, I see.
Thanks for the offer, I'm using Fedora 19.
Comment 21 Jaromír Cápík 2013-10-30 16:58:53 EDT
... working on -> working with :]

(In reply to Alberto Ferrante from comment #20)
> Hi!
> OK, I see.
> Thanks for the offer, I'm using Fedora 19.

Ok ... going to build testing packages for F19 ... please, stay tuned ... they'll be available in 15 minutes.
Comment 22 Jaromír Cápík 2013-10-30 17:11:34 EDT
Please, download cinepaint-libs and cinepaint from here ...

http://koji.fedoraproject.org/koji/taskinfo?taskID=6117552

... and install both.
Comment 23 Alberto Ferrante 2013-10-30 17:20:45 EDT
Hi,
downloaded and installed. I will test it in the next days; what I can say, for the moment, is that it starts. If started from the command line it shows the following message:
(cinepaint:23990): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().
Searching plug-ins in path: (null)
plugin count = 0
cinepaint: Can not open temp directory (null) to clear temp files
cinepaint: Can not open temp directory (null) to clear temp files

(cinepaint:23990): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().
Comment 24 Alberto Ferrante 2013-11-16 20:13:53 EST
Hi,
it took a wile, but I was finally able to start testing it. Unfortunately, though, I wasn't able to open any image: whatever image I try to open, cinepaint sais "unable to open image"...
Comment 25 Jaromír Cápík 2013-11-18 11:36:14 EST
Hi Alberto.

Have you configured the plugin directory correctly? Image decoders are plugins too. Look at the comment 16.

The default path hack is not in the place yet.

Thank you,
Jaromir.
Comment 26 robert fairb 2014-01-15 03:51:06 EST
i got this bug when i copied a image to extrapolate its likely capture site but its as if someone doesn't want me doing that LOL
so i tinkered a little
[rfairbrother@localhost ~]$ cinepaint
Locale found in /usr/share/locale

(cinepaint:10221): Gtk-WARNING **: A floating object was finalized. This means that someone
called g_object_unref() on an object that had only a floating
reference; the initial floating reference is not owned by anyone
and must be removed with g_object_ref_sink().
WARNING: oyranos_alpha.c:7646 oyDeviceGetProfile() Unexpected object type: Zero - none(oyConfig_s)[-1] 

cms.c:462 cms_init_oyranos() monitor profile size: 0
(null) fatal error: sigsegv caught
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0xb777e424 in __kernel_vsyscall ()
#1  0x4aeb9b83 in __waitpid_nocancel () from /lib/libc.so.6
#2  0x4b117665 in g_on_error_stack_trace () from /lib/libglib-2.0.so.0
#3  0x4b1177de in g_on_error_query () from /lib/libglib-2.0.so.0
#4  0x080854b1 in fatal_error ()
#5  <signal handler called>
#6  0x080b9346 in message_box ()
#7  0x08071444 in cms_init_oyranos ()
#8  0x0807171d in cms_init ()
#9  0x080560ef in app_init ()
#10 0x080cb496 in init ()
#11 0x080b66d2 in install_verify ()
#12 0x08053c24 in main ()
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0xb777e424 in __kernel_vsyscall ()
#1  0x4aeb9b83 in __waitpid_nocancel () from /lib/libc.so.6
#2  0x4b117665 in g_on_error_stack_trace () from /lib/libglib-2.0.so.0
#3  0x4b1177de in g_on_error_query () from /lib/libglib-2.0.so.0
#4  0x080854b1 in fatal_error ()
#5  <signal handler called>
#6  0x080b9346 in message_box ()
#7  0x08071444 in cms_init_oyranos ()
#8  0x0807171d in cms_init ()
#9  0x080560ef in app_init ()
#10 0x080cb496 in init ()
#11 0x080b66d2 in install_verify ()
#12 0x08053c24 in main ()
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0xb777e424 in __kernel_vsyscall ()
#1  0x4aeb9b83 in __waitpid_nocancel () from /lib/libc.so.6
#2  0x4b117665 in g_on_error_stack_trace () from /lib/libglib-2.0.so.0
#3  0x4b1177de in g_on_error_query () from /lib/libglib-2.0.so.0
#4  0x080854b1 in fatal_error ()
#5  <signal handler called>
#6  0x080b9346 in message_box ()
#7  0x08071444 in cms_init_oyranos ()
#8  0x0807171d in cms_init ()
#9  0x080560ef in app_init ()
#10 0x080cb496 in init ()
#11 0x080b66d2 in install_verify ()
#12 0x08053c24 in main ()
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P
(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: 
P

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0xb777e424 in __kernel_vsyscall ()
#1  0x4aeb9b83 in __waitpid_nocancel () from /lib/libc.so.6
#2  0x4b117665 in g_on_error_stack_trace () from /lib/libglib-2.0.so.0
#3  0x4b1177de in g_on_error_query () from /lib/libglib-2.0.so.0
#4  0x080854b1 in fatal_error ()
#5  <signal handler called>
#6  0x080b9346 in message_box ()
#7  0x08071444 in cms_init_oyranos ()
#8  0x0807171d in cms_init ()
#9  0x080560ef in app_init ()
#10 0x080cb496 in init ()
#11 0x080b66d2 in install_verify ()
#12 0x08053c24 in main ()
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: {
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: P

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
(null) fatal error: sigsegv caught
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: S
#0  0xb777e424 in __kernel_vsyscall ()
#1  0x4aeb9b83 in __waitpid_nocancel () from /lib/libc.so.6
#2  0x4b117665 in g_on_error_stack_trace () from /lib/libglib-2.0.so.0
#3  0x4b1177de in g_on_error_query () from /lib/libglib-2.0.so.0
#4  0x080854b1 in fatal_error ()
#5  <signal handler called>
#6  0x080b9346 in message_box ()
#7  0x08071444 in cms_init_oyranos ()
#8  0x0807171d in cms_init ()
#9  0x080560ef in app_init ()
#10 0x080cb496 in init ()
#11 0x080b66d2 in install_verify ()
#12 0x08053c24 in main ()
cinepaint (pid:10221): [E]xit, [H]alt, show [S]tack trace or [P]roceed: H

E
(null) terminated: sigabrt caught

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_destroy: assertion `object != NULL' failed

(cinepaint:10221): Gtk-CRITICAL **: IA__gtk_object_unref: assertion `GTK_IS_OBJECT (object)' failed
[rfairbrother@localhost ~]$ 
[rfairbrother@localhost ~]$ E
bash: E: command not found...
[rfairbrother@localhost ~]$
Comment 27 Jaromír Cápík 2014-02-21 09:07:57 EST
Hello Robert.

What version and release is that in your case?

Thanks,
Jaromir.
Comment 28 Jaromír Cápík 2014-02-25 10:40:38 EST
*** Bug 1035052 has been marked as a duplicate of this bug. ***
Comment 29 Fedora Update System 2014-02-25 10:46:27 EST
cinepaint-1.4-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cinepaint-1.4-5.fc19
Comment 30 Fedora Update System 2014-02-25 10:46:55 EST
cinepaint-1.4-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cinepaint-1.4-5.fc20
Comment 31 D. Charles Pyle 2014-02-25 11:37:18 EST
I get dependency errors when I try to install it.  Apper gives:

Failed to install files

Multiple packages exist that are not compatible with each other.  This is usually due to mixing packages from different software sources.

So, I tried the next earliest version in the repositories. Yumex/YUM give:

09:35:27 : YUM: --> Running transaction check
09:35:27 : YUM: ---> Package cinepaint.x86_64 0:1.4-4.fc21 will be installed
09:35:27 : YUM: --> Processing Dependency: oyranos for package: cinepaint-1.4-4.fc21.x86_64
09:35:27 : YUM: ---> Package cinepaint-devel.x86_64 0:1.4-4.fc21 will be installed
09:35:27 : YUM: ---> Package cinepaint-libs.x86_64 0:1.4-4.fc21 will be installed
09:35:27 : YUM: --> Processing Dependency: liboyranos_object.so.0()(64bit) for package: cinepaint-libs-1.4-4.fc21.x86_64
09:35:27 : YUM: --> Processing Dependency: liboyranos_modules.so.0()(64bit) for package: cinepaint-libs-1.4-4.fc21.x86_64
09:35:27 : YUM: --> Processing Dependency: liboyranos_core.so.0()(64bit) for package: cinepaint-libs-1.4-4.fc21.x86_64
09:35:27 : YUM: --> Processing Dependency: liboyranos_config.so.0()(64bit) for package: cinepaint-libs-1.4-4.fc21.x86_64
09:35:27 : YUM: --> Processing Dependency: liboyranos.so.0()(64bit) for package: cinepaint-libs-1.4-4.fc21.x86_64
09:35:27 : YUM: --> Processing Dependency: libgutenprintui2.so.1()(64bit) for package: cinepaint-libs-1.4-4.fc21.x86_64
09:35:28 : YUM: --> Processing Dependency: libgutenprint.so.2()(64bit) for package: cinepaint-libs-1.4-4.fc21.x86_64
09:35:28 : YUM: --> Processing Dependency: libelektra.so.4()(64bit) for package: cinepaint-libs-1.4-4.fc21.x86_64
09:35:28 : YUM: --> Running transaction check
09:35:28 : YUM: ---> Package elektra.x86_64 0:0.8.4-4.fc21 will be installed
09:35:28 : YUM: ---> Package gutenprint.x86_64 0:5.2.9-15.fc21 will be installed
09:35:28 : YUM: ---> Package oyranos.x86_64 0:0.9.5-0.1.20140123git.fc21 will be installed
09:35:28 : YUM: --> Processing Dependency: icc-profiles-openicc for package: oyranos-0.9.5-0.1.20140123git.fc21.x86_64
09:35:28 : YUM: --> Processing Dependency: icc-profiles-basiccolor-printing2009 for package: oyranos-0.9.5-0.1.20140123git.fc21.x86_64
09:35:28 : YUM: --> Processing Dependency: libXcm.so.0()(64bit) for package: oyranos-0.9.5-0.1.20140123git.fc21.x86_64
09:35:28 : YUM: ---> Package oyranos-libs.x86_64 0:0.9.5-0.1.20140123git.fc21 will be installed
09:35:28 : YUM: --> Running transaction check
09:35:28 : YUM: ---> Package icc-profiles-basiccolor-printing2009.noarch 0:1.2.0-4.fc20 will be installed
09:35:28 : YUM: ---> Package icc-profiles-openicc.noarch 0:1.3.1-5.fc21 will be installed
09:35:28 : YUM: ---> Package libXcm.x86_64 0:0.5.2-1.fc21 will be installed
09:35:28 : YUM: --> Processing Conflict: colord-1.1.6-2.fc21.x86_64 conflicts icc-profiles-openicc
09:35:28 : YUM: --> Finished Dependency Resolution
09:35:28 : YUM: --> Finding unneeded leftover dependencies
09:35:29 : YUM: Found and removing 0 unneeded dependencies
09:35:57 : ERROR: Dependency resolving completed with errors
09:35:57 : ERROR:   colord conflicts with icc-profiles-openicc-1.3.1-5.fc21.noarch
Comment 32 Jaromír Cápík 2014-02-25 11:41:09 EST
Hello D. Charles ... this has already been reported in scope of Bug 1069672.
Only rawhide/f21 is affected.
Comment 33 Fedora Update System 2014-03-07 01:31:13 EST
cinepaint-1.4-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2014-03-07 01:36:40 EST
cinepaint-1.4-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Jaromír Cápík 2014-03-07 12:48:11 EST
NOTE: rawhide/f21 conflicts have been resolved.
Comment 36 Jaromír Cápík 2014-03-13 07:30:30 EDT
As all the issues mentioned in the comments above seem to be resolved, I'm closing this bug. Feel free to re-open if you still experience some of them.
Comment 37 D. Charles Pyle 2014-03-13 14:54:22 EDT
Everything seems to be working now--so far.  Thanks.
Comment 38 robert fairb 2014-09-15 22:37:46 EDT
(In reply to Jaromír Cápík from comment #27)
> Hello Robert.
> 
> What version and release is that in your case?
> 
> Thanks,
> Jaromir.

I belive it was on fedora 20

Note You need to log in before you can comment on or make changes to this bug.